commit:     833a69e71411655efa689e98176ad309f6ae842a
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  8 08:57:58 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Oct  8 09:50:19 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=833a69e7

dev-libs/gjs: Version bump

Package-Manager: portage-2.3.1

 dev-libs/gjs/Manifest          |  1 +
 dev-libs/gjs/gjs-1.46.0.ebuild | 67 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-libs/gjs/Manifest b/dev-libs/gjs/Manifest
index 3216e76..0452367 100644
--- a/dev-libs/gjs/Manifest
+++ b/dev-libs/gjs/Manifest
@@ -1,2 +1,3 @@
 DIST gjs-1.44.0.tar.xz 486144 SHA256 
88c960f6ad47a6931d123f5d6317d13704f58572f68a4391913a254ff27dce80 SHA512 
3866e124f05221fd47275951f8c2c6954ba28a9b1443cc3c01789284709e2dd69f496efa094e6ddc9fcae563b9def68441aa398c1488076701fa1e873f9b9735
 WHIRLPOOL 
ee165353e08c6a5f69785e04fb12e582778695fb8b20f93153d6f648bd8597988a5d12349f73e70c2d52aed4d80d53484086f212c427fe2c7675eb858d41cad0
 DIST gjs-1.45.4.tar.xz 480828 SHA256 
db51bc2aae51700a2a8ca8ba597c488505d106bc70b9605e77c6ab5183212228 SHA512 
ef3587b16e0b4cc1df390e2d241f7293279c43d3399143d67c226ba668fe2c4f310ee08392ac1c21322abd9578ebe2eed4d870bbe62134af76c15555cf6445b1
 WHIRLPOOL 
8950f28feacc7d8768375446efcfad23aa16ad9be134e2b968f995b2f5e7d26392915f0ef667221b7a090fb1318f111c746a764c8b1dce83ae31d14c32674baf
+DIST gjs-1.46.0.tar.xz 490812 SHA256 
2283591fa70785443793e1d7db66071b36052d707075f229baeb468d8dd25ad4 SHA512 
14af40668e95d269ac87556c75cf45680c41bc8246f04c46726d34bd80e9344045c0a510567f156c2c25c1f10dd474dc38bd50581d1b2e5abe0daa0cf570e2bc
 WHIRLPOOL 
4aaf910c344d7df028a52e43b60b49e4fb0aefd92968e068d0effc4817b0f6b3d388c8287c6f7e3f85bc92c9e5605c03ff4743677ebc95dcd383d5a84d06f4fa

diff --git a/dev-libs/gjs/gjs-1.46.0.ebuild b/dev-libs/gjs/gjs-1.46.0.ebuild
new file mode 100644
index 00000000..5a6e896
--- /dev/null
+++ b/dev-libs/gjs/gjs-1.46.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit gnome2 pax-utils virtualx
+
+DESCRIPTION="Javascript bindings for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Projects/Gjs";
+
+LICENSE="MIT || ( MPL-1.1 LGPL-2+ GPL-2+ )"
+SLOT="0"
+IUSE="+cairo examples gtk test"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-libs/glib-2.36:2
+       >=dev-libs/gobject-introspection-1.41.4:=
+
+       sys-libs/readline:0
+       dev-lang/spidermonkey:24
+       virtual/libffi
+       cairo? ( x11-libs/cairo[X] )
+       gtk? ( x11-libs/gtk+:3 )
+"
+DEPEND="${RDEPEND}
+       gnome-base/gnome-common
+       sys-devel/gettext
+       virtual/pkgconfig
+       test? ( sys-apps/dbus )
+"
+
+PATCHES=(
+       # Disable broken unittests, upstream bug #????
+       "${FILESDIR}"/${PN}-1.43.3-disable-unittest-{1,2}.patch
+)
+
+src_configure() {
+       # FIXME: add systemtap/dtrace support, like in glib:2
+       # FIXME: --enable-systemtap installs files in ${D}/${D} for some reason
+       # XXX: Do NOT enable coverage, completely useless for portage installs
+       gnome2_src_configure \
+               --disable-systemtap \
+               --disable-dtrace \
+               --disable-coverage \
+               $(use_with cairo cairo) \
+               $(use_with gtk) \
+               $(use_with test dbus-tests) \
+               $(use_with test xvfb-tests)
+}
+
+src_test() {
+       virtx emake check
+}
+
+src_install() {
+       # installation sometimes fails in parallel, bug #???
+       gnome2_src_install -j1
+
+       if use examples; then
+               insinto /usr/share/doc/"${PF}"/examples
+               doins "${S}"/examples/*
+       fi
+
+       # Required for gjs-console to run correctly on PaX systems
+       pax-mark mr "${ED}/usr/bin/gjs-console"
+}

Reply via email to